###############################################
# Do not Edit! Generated by:
# spec-builder version 0.14
###############################################

Name: spec-builder
Summary: Package spec building tool
Group: Development/Tools
Version: 0.14
License: GPLv2
URL: http://www.moblin.org
Release: 1.1.moblin2
Source0: %{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires: python

%description
Description: %{summary}

%prep
%setup -q -n %{name}-%{version}

%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
%make_install

%find_lang spec-builder  || echo -n >> spec-builder.lang

mkdir -p %{buildroot}/%{_datadir}/doc/%{name}-%{version}
for f in `ls %{buildroot}/%{_datadir}/doc/`; do
	if [ -f %{buildroot}/%{_datadir}/doc/$f ]; then
		mv %{buildroot}/%{_datadir}/doc/$f %{buildroot}/%{_datadir}/doc/%{name}-%{version}
	fi
done

%clean
rm -rf %{buildroot}

%files -f spec-builder.lang
%defattr(-,root,root,-)
%doc COPYING ChangeLog
%doc %{_datadir}/doc/spec-builder
%{_bindir}/spec-builder
%{_bindir}/spec2ini


%changelog
* Wed May  6 2009 Rusty Lynch <rusty.lynch@intel.com> 0.14
  * Adding UseAsNeeded flag to the configuration section.
  * Adding ini2yaml converter ver0.1
  * Added LocaleOption
* Wed Jan  7 2009 Rusty Lynch <rusty.lynch@intel.com> 0.13
- Reimplemented gconf schemas and entries file handling code.  The original
  only attempted to do a gconftool-2 schema install of one schema file,
  and didn't attempt to handle entries files.
- Adding new capability to insert arbitrary code in the %%post section by
  adding a "PostExtras = package-post.extras" to [header] and/or the
  subpackage sections
* Mon Dec 29 2008 Rusty Lynch <rusty.lynch@intel.com> 0.12
  * Cutting release 0.12
  * Removing restriction that devel packages can not add static files
  * Adding support for [configuration] 'AddCheck = 1' which will create a
    new %%check entry to run 'make check' if %%{run_test} is defined
  * Adding a new feature to allow arbitrary additions just after the make and
    make_install sections of the spec.
  - To add arbitrary code after make, then add a new [configuration]
    entry for "PostMakeExtras = somefile" and the contents of the file
    will be added.
  - To add arbitrary code after make_install, then add a new
    [configuration] entry for "PostMakeInstallExtras = someotherfile"
    and the contents of the file will be added.
* Thu Dec 18 2008 Rusty Lynch <rusty.lynch@intel.com> 0.12
  * Cutting release 0.11
  * Adding spec2ini utility
  * Removing need for having a BuildRequires for coreutils by using
    "echo -n >>" instead of /bin/touch
  * Correcting the name of the checkout directory when the source tarball
    does match the project name
  * Make missing description files be treated as if there were not
    description file
  * Add safety checks around calls to /sbin/service
  * Make post/postun deps on chkconfig change to /sbin/chkconifg
  * If there is no 'Release' entry in [header], then make it default to 1
  * fix rpmlint warnings about mixing tabs and spaces
  * Fixing a bug in the logic for parsing out the file path from
    a %%ghost declaration
  * Adding post and postun deps for /sbin/install-info when an info file
    is found in the files
  * Fixing usage of 'hasstatic', including:
  - Correctly using %%define in the keepstatic macro
  - Add logic to not automaticaly add --disable-static when a static lib
    is detected in the file list
* Wed Dec 17 2008 Rusty Lynch <rusty.lynch@intel.com> 0.10
  * Cutting release 0.10
  * Correctly setting up the dependencies for /bin/touch
  * Fixing a bug where %%postun would not add a newline afterwards which
    results in broken spec files
  * Adding support for init scripts with a new %%service tag. To use this just
    add '%%service' to the beginning of any file entry that is an init script.
    The tool will automatically:
  - drop off the %%service text before adding into the spec file
  - add all the needed dependency checks
  - add the appropriate post/postun/preun actions that need to be done
    for any init script
  * Adding support for PkgConfig and BuildRequires to use 'name >= version'
    syntax in the ini
* Tue Dec 16 2008 Rusty Lynch <rusty.lynch@intel.com> 0.9-1
  * Cleaning up the scriptlet creation code so that a scriptlet is not created
    if it isn't needed.
  * Cleaning up the spec by just using %%{summary} in the description
  * Adding support for rpm %%ghost files
  * Stop depending on moblin specific rpm %%clean macro to clean
    the buildroot.  This makes the spec files less confusing.
  * Add auto pre requires for /bin/touch
  * Adding new featue for installing arbitrary files (like desktop or icon fil
    to specific directories.  This is done by use a new [configuration] tag
    that follows the form 'Extras = foo;/some/path bar;/some/other/path foobar
    If no path is specified (i.e. no ';/something') then the file is copied
    to the top of the buildroot.
* Fri Dec 12 2008 Rusty Lynch <rusty.lynch@intel.com> 0.8-1
  * Cutting version 0.8
  * Adding metadata validation to make it more obvious when invalid
    entries are added to the project ini file
  * Adding support for python packaging
  * Adding initial support for staticlibs, where if we see a static lib
    being installed in the libs path, then we add a %%keepstatic macro definiti
    This definition will eventually cause %%make_install stop auto cleaning
    the static libs
  * Adding a comment header to the top of each spec file that includes the
    version of spec-builder used to create the RPM spec
* Thu Dec 11 2008 Rusty Lynch <rusty.lynch@intel.com> 0.7-1
  * Cutting version 0.7
  * Adding support for non-'%%configure' configuration methods by the addition
    of a 'configure = configure | autogen | reconfigure | none' entry to
    [configuration].  If no 'configure' entry is present then the implementati
    defaults to using %%configure
  * Adding a feature where we attempt to pull the correct setup name from the
    source archive, but if the source archive is not named as expected then
    we fallback to using %%{name}-%%{version}
* Wed Dec 10 2008 Rusty Lynch <rusty.lynch@intel.com> 0.6-1
  * Cutting version 0.6
  * Adding a feature where the PackageMetaData class attempts to discover
    bits of information from the specified *.files.  Today that include:
  - Does this section include library files
  - or info files
  - or desktop files
  - or schema files
  - or icon files
    This information is listed as extra name=value parse of the form
    'hasXYZ = 1'.  The spec generation logic can then use this to generate
    cleaner spec files.  For example... if there are not schema files then
    don't bother adding all the gconf schema stuff.
  * Changed autodownload for *.sign to *.sig (since that it what i am seeing u
  * Added logic to autocreate a versioned doc directory, and to copy any files
    from doc/ to doc/%%{name}-%%{value}.  This allows an additional set of packa
    to use spec-builder since not all projects do document install correctly.
* Wed Dec 10 2008 Rusty Lynch <rusty.lynch@intel.com> 0.5-1
  * Cutting version 0.5
  * Fixed two bugs with handling patches:
  - The Patch? declarations were incorrectly being placed below description
  - The invocation to %%patch? was missing the %%
  * Changed the patch logic to require usage of patch level 1 patches,
    and removed use of name.patch;N to specify what patchlevel is used
* Tue Dec  9 2008 Rusty Lynch <rusty.lynch@intel.com> 0.4-1
  * Cutting version 0.4
  * Add a feature where and Source that uses http or ftp will attempt to
    auto-download if the file does not already exist
  * Adding smp flags to build
  * Fixing breakage cause by not call ldconfig with a fully qualified path
  * Adding 'Description: ' to the beginning of 'description' to make rpmlint
    shutup about the summary being shorter then the description
* Mon Dec  8 2008 Rusty Lynch <rusty.lynch@intel.com> 0.3-1
  * Cutting release 0.3
  - fix rpmlint breakage from not correctly calling ldconfig
    in post and postun
  - Automatically add --disable-static
* Sun Dec  7 2008 Rusty Lynch <rusty.lynch@intel.com> 0.2-1
  * Cutting release 0.2
  - Fixed a bug where 'Requires:' were being added to the wrong
    section of the spec file, causing rpmbuild to ignore them
  - Added a feature where [devel] packages will automatically get
    a 'Require: %%{name}-%%{version}'
* Sun Dec  7 2008 Rusty Lynch <rusty.lynch@intel.com> 0.1-1
  * Initial release
